function C=getRGB(IM)

N=4
[x,y]=ginput(N)
hold on,fill(x,y,'r'),hold off


X = [round(min(x)):1:round(max(x))]'
Y = [round(min(y)):1:round(max(y))]'
Nx = length(X)
Ny = length(Y)

R=zeros(Nx,Ny)
G=zeros(Nx,Ny)
B=zeros(Nx,Ny)

for i=1:Ny
    for j=1:Nx
        if(inpolygon(X(j),Y(i),x,y))
            R(i,j) = IM( Y(i), X(j),  1)
            G(i,j) = IM( Y(i), X(j),  2)
            B(i,j) = IM( Y(i), X(j),  3)
        end
    end
end
C=uint8([...
    sum(sum(R))/length(find(R>0)),...
    sum(sum(G))/length(find(G>0)),...
    sum(sum(B))/length(find(B>0))...
    ])
