function y=showDistance(C)

%1:brown    130,94,22
%2:red      255,0,0
%3:orange   255,183,76
%4:yellow   255,255,0
%5:green    0,255,0
%6:blue     0,0,255
%7:purple   196,0,204
%8:gray     140,140,140
%9:white    255,255,255

RGBTable=[
    0   0   0;
    153 76  0;
    255 0   0;
    243 152 0;
    255 255 0;
    0   255 0;
    0   0   255;
    167 87  168 ;
    128 128 128 ;
    255 255 255
    ]    
col={' 0:',' 1:F',' 2:',' 3:IW',' 4:F',...
    ' 5:݂ǂ',' 6:',' 7:',' 8:DF',' 9:',}
ALLTable = [RGBTable;C]
AllCol={' 0:',' 1:F',' 2:',' 3:IW',' 4:F',...
    ' 5:݂ǂ',' 6:',' 7:',' 8:DF',' 9:',' ]F'}
N=length(AllCol)
% figure
for i=1:N
    plot3( ALLTable(i,1),ALLTable(i,2),ALLTable(i,3),...
    '.','markersize',15,'color',ALLTable(i,:)./255),...
    grid on,hold on,...
    text(ALLTable(i,1),ALLTable(i,2),ALLTable(i,3),...
    AllCol{i})
end
hold off
xlabel('R'),ylabel('G'),zlabel('B')
legend(col)
xlim([0 300])
ylim([0 300])
zlim([0 300])

hold on
y=getNearestColor(double(C))
I=y.num
P=RGBTable(I,:)
X=[C(1,1);P(1,1)]
Y=[C(1,2);P(1,2)]
Z=[C(1,3);P(1,3)]
% line(X,Y,Z)
quiver3(C(1,1),C(1,2),C(1,3),...
    (P(1,1)-C(1,1)),...
    (P(1,2)-C(1,2)),...
    (P(1,3)-C(1,3)))
hold off
d= sqrt((X(1,1)-X(2,1)).^2+...
    (Y(1,1)-Y(2,1)).^2+...
    (Z(1,1)-Z(2,1)).^2)

y=d

%
% ComparedRGBTable=C
% hold on
% plot3( ComparedRGBTable(1,1),ComparedRGBTable(1,2),ComparedRGBTable(1,3),...
%     '.','markersize',25,'color',C),grid on,hold on
% xlabel('R'),ylabel('G'),zlabel('B')
% hold off
